Bug 1576076 - Wrong Platform Attribute for OpenStack Provisioned Instance Showing Windows instead of Linux
Summary: Wrong Platform Attribute for OpenStack Provisioned Instance Showing Windows i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Marek Aufart
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1595456 1595457
TreeView+ depends on / blocked
 
Reported: 2018-05-08 18:01 UTC by myoder
Modified: 2019-02-11 13:59 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1595456 1595457 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:59:26 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description myoder 2018-05-08 18:01:50 UTC
Description of problem:

CFME have OperatingSystem model from which the os_image_name and platform attributes is set [1]. Currently there is no any source for operating system to set for OpenStack instances [2], so from this model os_image_name attribute is generated based on VM name [3]. From my case you can see that name of vm is 'srv7-xpub' which is normalized to 'srv7xpub' [4]. os_map have 'xp' string for "Windows XP" [5], so CFME set the os_image_name to 'windows_generic' [6].

This logic is not acceptable as the VM name can have any string and it is reason of random nature of this issue.

The logic of selecting an operating system based on the machine name spoils our virtual machine deployment processes. It should be the last choice when there are no more left but currently this logic is first choice [7]

[1] https://github.com/ManageIQ/manageiq/blob/fine-4/app/models/operating_system.rb
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1569230
[3] https://github.com/ManageIQ/manageiq/blob/fine-4/app/models/operating_system.rb#L119
[4] https://github.com/ManageIQ/manageiq/blob/fine-4/app/models/operating_system.rb#L73
[5] https://github.com/ManageIQ/manageiq/blob/fine-4/app/models/operating_system.rb#L14
[6] https://github.com/ManageIQ/manageiq/blob/fine-4/app/models/operating_system.rb#L76

[7] https://github.com/ManageIQ/manageiq/blob/eef19e08d460594cad629a022169c2ee1a3a9331/app/models/vm_or_template.rb#L508


Version-Release number of selected component (if applicable):
CFME 5.8.3.5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 11 Marek Aufart 2018-06-14 13:30:00 UTC
https://github.com/ManageIQ/manageiq/pull/17405 was merged

Comment 14 Jad Haj Yahya 2018-07-02 12:12:27 UTC
Verified on 5.10.0.2


Note You need to log in before you can comment on or make changes to this bug.